/*
    Copyright (C) 1999 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: alsa_multichannel_hw.h,v 1.7 2000/10/16 17:27:33 pbd Exp $
*/

#ifndef __cdr_alsa_multichannel_hw_h__
#define __cdr_alsa_multichannel_hw_h__

#include <string>
#include <vector>

namespace ALSA {

class MultiChannelHardware {
  public:
	MultiChannelHardware() { };
	virtual ~MultiChannelHardware () { };

	enum Capabilities {
		Cap_HardwareMonitoring = 0x1,
		Cap_AutoSync = 0x2,
		Cap_WordClock = 0x4,
		Cap_ClockMaster = 0x8,
		Cap_ClockLockReporting = 0x10
	};

	struct ChannelDescription {
	    string name;
	    vector<int> channels;
	};

	virtual vector<ChannelDescription> &stereo_descriptors() = 0;

	virtual int capabilities () = 0;
	virtual int set_input_monitor_mask (unsigned int) = 0;

	enum SampleClockMode {
		AutoSync,
		WordClock,
		ClockMaster
	};

	virtual int change_sample_clock (SampleClockMode) = 0;
};

}; /* namespace ALSA */

#endif  /* __cdr_alsa_multichannel_hw_h__ */
