;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;  ardour-variables.scm
;;;
;;;  configuration variables definitions for ardour
;;;  loaded at startup time by the guileconfig bootstrapper.
;;;  variables must be initialized in configuration.cc! 
;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define audio-device 
  (make-config-variable "audio-device" 'soundcard 'file-or-cmdline))

(define midi-device 
  (make-config-variable "midi-device" 'mididev 'file-or-cmdline))

(define use-real-time 
  (make-config-variable "use-real-time" 'boolean 'file-or-cmdline))

(define real-time-priority 
  (make-config-variable "real-time-priority" 'integer 'file-or-cmdline))

(define pixmap-path 
  (make-config-variable "pixmap-path" 'string 'file-or-cmdline))

(define rec-enable-pix-regexp 
  (make-config-variable "rec-enable-pix-regexp" 'string 'file-or-cmdline))

(define monitor-pix-regexp 
  (make-config-variable "monitor-pix-regexp" 'string 'file-or-cmdline))

(define push-button-pix-regexp 
  (make-config-variable "push-button-pix-regexp" 'string 'file-or-cmdline))

(define small-push-button-pix-regexp 
  (make-config-variable "small-push-button-pix-regexp" 'string 'file-or-cmdline))

(define toggle-button-pix-regexp 
  (make-config-variable "toggle-button-pix-regexp" 'string 'file-or-cmdline))

(define tape-button-image 
  (make-config-variable "tape-button-image" 'string 'file-or-cmdline))

(define play-button-image
  (make-config-variable "play-button-image" 'string 'file-or-cmdline))

(define forward-button-image
  (make-config-variable "forward-button-image" 'string 'file-or-cmdline))

(define reverse-button-image
  (make-config-variable "reverse-button-image" 'string 'file-or-cmdline))

(define record-button-image
  (make-config-variable "record-button-image" 'string 'file-or-cmdline))

(define stop-button-image
  (make-config-variable "stop-button-image" 'string 'file-or-cmdline))

(define start-button-image
  (make-config-variable "start-button-image" 'string 'file-or-cmdline))

(define end-button-image
  (make-config-variable "end-button-image" 'string 'file-or-cmdline))

(define set-next-button-image
  (make-config-variable "set-next-button-image" 'string 'file-or-cmdline))

(define sample-rate 
  (make-config-variable "sample-rate" 'integer 'file-or-cmdline))

(define frames-per-cycle
  (make-config-variable "frames-per-cycle" 'integer 'file-or-cmdline))

(define tape-path
  (make-config-variable "tape-path" 'string 'file-or-cmdline))

(define max-tracks 
  (make-config-variable "max-tracks" 'integer 'file-or-cmdline))

(define smpte-frames-per-second 
  (make-config-variable "smpte-frames-per-second" 'real 'file-or-cmdline))

(define over-length-short 
  (make-config-variable "over-length-short" 'integer 'file-or-cmdline))

(define over-length-long
  (make-config-variable "over-length-long" 'integer 'file-or-cmdline))

(define minimum-disk-io-bytes
  (make-config-variable "minimum-disk-io-bytes" 'integer 'file-or-cmdline))

(define track-buffer-seconds
  (make-config-variable "track-buffer-seconds" 'real 'file-or-cmdline))

(define default-tape
  (make-config-variable "default-tape" 'string 'file-or-cmdline))

(define systemic-latency
  (make-config-variable "systemic-latency" 'integer 'file-or-cmdline))

(define send-midi-timecode
  (make-config-variable "send-midi-timecode" 'boolean 'file-or-cmdline))

(define shuttle-speed-factor
  (make-config-variable "shuttle-speed-factor" 'real 'file-or-cmdline))

(define shuttle-speed-threshold
  (make-config-variable "shuttle-speed-threshold" 'real 'file-or-cmdline))

(define rf-samples
  (make-config-variable "rf-samples" 'integer 'file-or-cmdline))

(define ui-rcfile 
  (make-config-variable "ui-rcfile" 'string 'file-or-cmdline))

(define meter-hold
  (make-config-variable "meter-hold" 'real 'file-or-cmdline))

(define min-level
  (make-config-variable "min-level" 'integer 'file-or-cmdline))

(define max-level
  (make-config-variable "max-level" 'integer 'file-or-cmdline))

(define click-sound 
  (make-config-variable "click-sound" 'string 'file-or-cmdline))

(define click-emphasis-sound 
  (make-config-variable "click-emphasis-sound" 'string 'file-or-cmdline))
