/*
    Copyright (C) 1999 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: hammerfall.h,v 1.9 2000/10/06 18:14:58 pbd Exp $
*/

#ifndef __cdr_hammerfall_h__
#define __cdr_hammerfall_h__

/* XXX REMOVE THIS HACK WHEN C++ COMPATIBILITY RETURNS TO asound.h */

#define class category
#include <linux/asound.h>
#undef class

#include <vector>
#include <sys/asoundlib.h>
#include <sigc++/signal_system.h>

#include "alsa_multichannel_hw.h"

namespace ALSA {

class MonitoredSwitch;
class MultiChannelDevice;

class Hammerfall : public SigC::Object, public ALSA::MultiChannelHardware
{
  public:
	Hammerfall (ALSA::MultiChannelDevice *mcd, snd_ctl_t *);
	~Hammerfall ();

	int  capabilities ();
	int set_input_monitor_mask (unsigned int);
	int  change_sample_clock (SampleClockMode);

	vector<ChannelDescription> &stereo_descriptors();

  private:
	snd_ctl_t *handle;
	vector<MonitoredSwitch *> switches;
	MultiChannelDevice *mcd;
	bool lock_status[3];
	bool sync_status[3];
	bool said_that_spdif_is_fine;

	void check_sync (snd_ctl_t *, snd_control_t &);
	void check_sync_state (int val, int adat_id);
	void broadcast_channel_status_change (bool lock, bool sync,
					      int lowchn, int highchn);

	static vector<ChannelDescription> *stereo_channels;

};

}; /* namespace ALSA */

#endif  /* __cdr_hammerfall_h__ */
