/*
    Copyright (C) 1999-2000 Paul Barton-Davis 

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: memops.h,v 1.5 2000/10/31 03:51:38 pbd Exp $
*/

#ifndef __memops_h__
#define __memops_h__

#include "ardour.h"

#define SAMPLE_MAX_24BIT  8388608.0f
#define SAMPLE_MAX_16BIT  32767.0f

void sample_move_d32u24_sS  (char *dst, ARDOUR::Sample *src, size_t nsamples,
			       size_t dst_skip);
void sample_move_d16_sS     (char *dst,  ARDOUR::Sample *src, size_t nsamples,
			       size_t dst_skip);
void sample_move_dS_s32u24  (ARDOUR::Sample *dst, char *src, size_t nsamples,
			       size_t src_skip);
void sample_move_dS_s16     (ARDOUR::Sample *dst, char *src, size_t nsamples,
			       size_t src_skip);

void sample_merge_d16_sS    (char *dst,  ARDOUR::Sample *src, size_t nsamples,
			       size_t dst_skip);
void sample_merge_d32u24_sS (char *dst, ARDOUR::Sample *src, size_t nsamples,
			       size_t dst_skip);

void memset_interleave (char *dst, char val, unsigned int bytes, 
			unsigned int unit_bytes, unsigned int skip_bytes);

void memcpy_fake (char *dst, char *src, size_t src_bytes, size_t foo);

void memcpy_interleave_d16_s16 (char *dst, char *src, size_t src_bytes, size_t skip_bytes);
void memcpy_interleave_d32_s32 (char *dst, char *src, size_t src_bytes, size_t skip_bytes);
void merge_memcpy_d16_s16 (char *dst, char *src, unsigned int src_bytes, size_t foo);
void merge_memcpy_d32_s32 (char *dst, char *src, unsigned int src_bytes, size_t foo);
void merge_memcpy_interleave_d16_s16 (char *dst, char *src, size_t src_bytes, size_t skip_bytes);
void merge_memcpy_interleave_d32_s32 (char *dst, char *src, size_t src_bytes, size_t skip_bytes);

#endif /* __memops_h__ */
